ASA-201703-10 generated external raw

[ASA-201703-10] roundcubemail: cross-site scripting
Arch Linux Security Advisory ASA-201703-10 ========================================== Severity: Medium Date : 2017-03-14 CVE-ID : CVE-2017-6820 Package : roundcubemail Type : cross-site scripting Remote : Yes Link : https://security.archlinux.org/AVG-199 Summary ======= The package roundcubemail before version 1.2.4-1 is vulnerable to cross-site scripting. Resolution ========== Upgrade to 1.2.4-1. # pacman -Syu "roundcubemail>=1.2.4-1" The problem has been fixed upstream in version 1.2.4. Workaround ========== None. Description =========== It has been discovered that rcube_utils.php in Roundcube before 1.1.8 and before 1.2.4 is susceptible to a cross-site scripting vulnerability via a crafted Cascading Style Sheets (CSS) token sequence within an SVG element. Impact ====== A remote attacker is able to use a specially crafted SVG file to execute arbitrary javascript on the client's machine. References ========== http://seclists.org/oss-sec/2017/q1/583 https://roundcube.net/news/2017/03/10/updates-1.2.4-and-1.1.8-released https://github.com/roundcube/roundcubemail/commit/fa2824fdcd44af3f970b2797feb47652482c8305 https://github.com/roundcube/roundcubemail/commit/cbd35626f7db7855f3b5e2db00d28ecc1554e9f4 https://security.archlinux.org/CVE-2017-6820